VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::ntp::ServerStub Class Reference

Remote stub implementation of the Server API service. More...

Inherits vmware::appliance::techpreview::ntp::Server.

List of all members.

## Public Member Functions
| ServerStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Add (global::System.Collections.Generic.List< string > servers)
| Add NTP servers.
void | Add (global::System.Collections.Generic.List< string > servers, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Add NTP servers.
global::System.Threading.Tasks.Task | AddAsync (global::System.Collections.Generic.List< string > servers)
| Add NTP servers.
global::System.Threading.Tasks.Task | AddAsync (global::System.Collections.Generic.List< string > servers, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Add NTP servers.
void | Set (global::System.Collections.Generic.List< string > servers)
| Set NTP servers.
void | Set (global::System.Collections.Generic.List< string > servers, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set NTP servers.
global::System.Threading.Tasks.Task | SetAsync (global::System.Collections.Generic.List< string > servers)
| Set NTP servers.
global::System.Threading.Tasks.Task | SetAsync (global::System.Collections.Generic.List< string > servers, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set NTP servers.
void | Delete (global::System.Collections.Generic.List< string > servers)
| Delete NTP servers.
void | Delete (global::System.Collections.Generic.List< string > servers, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Delete NTP servers.
global::System.Threading.Tasks.Task | DeleteAsync (global::System.Collections.Generic.List< string > servers)
| Delete NTP servers.
global::System.Threading.Tasks.Task | DeleteAsync (global::System.Collections.Generic.List< string > servers, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Delete NTP servers.

## Detailed Description

Remote stub implementation of the Server API service.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::ntp::ServerStub::ServerStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::appliance::techpreview::ntp::ServerStub::Add | ( | global::System.Collections.Generic.List< string > | servers | ) | `[inline]`

Add NTP servers.

This command adds NTP servers to the configuration. If the time synchronization is NTP-based, then NTP daemon is restarted to reload the new NTP servers. Otherwise, this command just adds servers to the NTP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host names or IP addresses of NTP servers.

Implements vmware::appliance::techpreview::ntp::Server.

void vmware::appliance::techpreview::ntp::ServerStub::Add | ( | global::System.Collections.Generic.List< string > | servers,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Add NTP servers.

This command adds NTP servers to the configuration. If the time synchronization is NTP-based, then NTP daemon is restarted to reload the new NTP servers. Otherwise, this command just adds servers to the NTP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host names or IP addresses of NTP servers.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::ntp::Server.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::ntp::ServerStub::AddAsync | ( | global::System.Collections.Generic.List< string > | servers,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Add NTP servers.

This command adds NTP servers to the configuration. If the time synchronization is NTP-based, then NTP daemon is restarted to reload the new NTP servers. Otherwise, this command just adds servers to the NTP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host names or IP addresses of NTP servers.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::ntp::Server.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::ntp::ServerStub::AddAsync | ( | global::System.Collections.Generic.List< string > | servers | ) | `[inline]`

Add NTP servers.

This command adds NTP servers to the configuration. If the time synchronization is NTP-based, then NTP daemon is restarted to reload the new NTP servers. Otherwise, this command just adds servers to the NTP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host names or IP addresses of NTP servers.

Implements vmware::appliance::techpreview::ntp::Server.

void vmware::appliance::techpreview::ntp::ServerStub::Delete | ( | global::System.Collections.Generic.List< string > | servers | ) | `[inline]`

Delete NTP servers.

This command deletes NTP servers from the configuration. If the time synchronization mode is NTP-based, the NTP daemon is restarted to reload the new NTP configuration. Otherwise, this command just deletes servers from the NTP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host name or ip addresses of ntp servers.

Implements vmware::appliance::techpreview::ntp::Server.

void vmware::appliance::techpreview::ntp::ServerStub::Delete | ( | global::System.Collections.Generic.List< string > | servers,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Delete NTP servers.

This command deletes NTP servers from the configuration. If the time synchronization mode is NTP-based, the NTP daemon is restarted to reload the new NTP configuration. Otherwise, this command just deletes servers from the NTP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host name or ip addresses of ntp servers.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::ntp::Server.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::ntp::ServerStub::DeleteAsync | ( | global::System.Collections.Generic.List< string > | servers | ) | `[inline]`

Delete NTP servers.

This command deletes NTP servers from the configuration. If the time synchronization mode is NTP-based, the NTP daemon is restarted to reload the new NTP configuration. Otherwise, this command just deletes servers from the NTP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host name or ip addresses of ntp servers.

Implements vmware::appliance::techpreview::ntp::Server.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::ntp::ServerStub::DeleteAsync | ( | global::System.Collections.Generic.List< string > | servers,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Delete NTP servers.

This command deletes NTP servers from the configuration. If the time synchronization mode is NTP-based, the NTP daemon is restarted to reload the new NTP configuration. Otherwise, this command just deletes servers from the NTP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host name or ip addresses of ntp servers.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::ntp::Server.

void vmware::appliance::techpreview::ntp::ServerStub::Set | ( | global::System.Collections.Generic.List< string > | servers,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set NTP servers.

This command deletes old NTP servers from the configuration and sets the input NTP servers in the configuration. If the time synchronization is NTP-based, the NTP daemon is restarted to reload the new NTP configuration. Otherwise, this command just replaces servers in the NTP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host names or ip addresses of ntp servers.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::ntp::Server.

void vmware::appliance::techpreview::ntp::ServerStub::Set | ( | global::System.Collections.Generic.List< string > | servers | ) | `[inline]`

Set NTP servers.

This command deletes old NTP servers from the configuration and sets the input NTP servers in the configuration. If the time synchronization is NTP-based, the NTP daemon is restarted to reload the new NTP configuration. Otherwise, this command just replaces servers in the NTP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host names or ip addresses of ntp servers.

Implements vmware::appliance::techpreview::ntp::Server.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::ntp::ServerStub::SetAsync | ( | global::System.Collections.Generic.List< string > | servers,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set NTP servers.

This command deletes old NTP servers from the configuration and sets the input NTP servers in the configuration. If the time synchronization is NTP-based, the NTP daemon is restarted to reload the new NTP configuration. Otherwise, this command just replaces servers in the NTP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host names or ip addresses of ntp servers.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::ntp::Server.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::ntp::ServerStub::SetAsync | ( | global::System.Collections.Generic.List< string > | servers | ) | `[inline]`

Set NTP servers.

This command deletes old NTP servers from the configuration and sets the input NTP servers in the configuration. If the time synchronization is NTP-based, the NTP daemon is restarted to reload the new NTP configuration. Otherwise, this command just replaces servers in the NTP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host names or ip addresses of ntp servers.

Implements vmware::appliance::techpreview::ntp::Server.

The documentation for this class was generated from the following file:

- ServerStub.cs